Wed Feb 23 21:09:17 2005  John Ellis  <johne@verizon.net>

	* README: Updates.
	* ui2_main.c: Fix wmclass in credits window.
	* gqradio.spec.in: Fix brackets to parenthesis for Summary(fr).
	* configure.in: Release 1.9.2

Tue Feb 22 22:56:14 2005  John Ellis  <johne@verizon.net>

	* io_radio.[ch]: Add radio_volume_boost toggle.
	* preferences.c, rcfile.c: Save radio_volume_boost and add setting to
	preferences dialog.

Tue Feb 22 22:29:13 2005  John Ellis  <johne@verizon.net>

	* main.c, ui2_main.c: Fix about dialogs to have close button.
	* ui2_editor.c: Remove unnecessary gtk_widget_realize.

Tue Feb 22 22:04:19 2005  John Ellis  <johne@verizon.net>

	* ui2_decal.c, ui2_list.c: Fix set size methods to allow NULL ui.
	* ui2_display.[ch], ui2_editor.c, ui2_main.[ch], ui2_parse.c,
	ui2_skin.[ch], ui2_typedefs.h, ui2_widget.[ch]: Add tooltip support,
	a callback for when a new skin is loaded before setting it to a ui,
	and exclusive flag for widgets to occlude any overlapping widgets.
	* ui2_tooltip.[ch]: The bulk of the new tooltip code, hooked in
	through ui2_display.c.
	* ui2_menu.c: Remove no longer needed widget realize.
	* ui2_text.c: Fix text size to match double size mode.

Tue Feb 22 21:29:45 2005  John Ellis  <johne@verizon.net>

	* io_radio.c (radio_freq_clamp_to_increment): Avoid div by zero.
	* preferences.c: Update preferences to an updated layout.

Tue Feb 22 20:05:43 2005  John Ellis  <johne@verizon.net>

	* configure.in, Makefile.am, main.c: Fixes for locale dir location.

Tue Feb 22 19:27:47 2005  John Ellis  <johne@verizon.net>

	* autogen.sh, configure.in, Makefile.am, src/Makefile.am: Update to
	require GTK+ 2.4, use glib-gettext, and remove old autoconf functions.
	* gqradio.c, preferences.c, window.c: Fixes for GTK+ 2.4.
	* ui*.[ch]: Mass update of changes for SLIK. Mostly removal of
	deprecated stuff in GTK+ 2.4, fixes for the GTK updates, and ui
	utility enhancements from GQview.
	* ui_misc.[ch]: New files contain pref utilities.
	* acconfig.h: Remove file, no longer used.
	* main.c, README: Update copyright year.

Fri May 21 16:00:02 2004  John Ellis  <johne@verizon.net>

	* main.c: Set gettext encoding to utf-8.
	* window.c (key_pressed): Fix this signal handler to return result.
	* default_skin/Makefile.am: Install into datadir instead of prefix.

Wed Apr  7 09:16:27 2004  John Ellis  <johne@verizon.net>

	* po/POTFILES.in: Added ui2_decal_edit.c.

Wed Apr  7 08:52:25 2004  John Ellis  <johne@verizon.net>
 
	* ui2_typedefs.h: Update SLIK version.
	* README: Updates.
	* configure.in: Release 1.9.1

Tue Apr  6 02:57:51 2004  John Ellis  <johne@verizon.net>
 
	* ui2_editor.c: Fix order of free and widget destruction to avoid
	crash in widget details.
	* ui2_text.c (x_font_convert_points_by_dpi): Check that the gtk setting
	returns a valid (non zero) dpi, and fallback if needed.
	* ui2_text_edit.c: Save text color information if font pointed to
	by "font_id" does not contain an image.

Mon Apr  5 08:49:01 2004  John Ellis  <johne@verizon.net>

	* README, TODO: Updates.
	* gqradio.spec.in, po/fr.po: Updated French translation,
	submitted by Eric Lassauge <lassauge@users.sourceforge.net>.
	* gqradio.desktop: Update desktop file.
	* io_radio.c: Mark strings for translation, fix capitalization.
	* src/default_skin/skindata*: Update default skin to use new font
	descriptions.
	* configure.in: Release 1.9.0

Mon Apr  5 05:05:59 2004  John Ellis  <johne@verizon.net>
 
	* ui2_editor.c, ui_tree_edit.[ch]: Updates from SLIK.

Sat Apr  3 12:46:22 2004  John Ellis  <johne@verizon.net>

	* ui2_text.c: Scale text point sizes to result in pixel size always
	equivelent to 96 dpi.

Sat Apr  3 11:39:02 2004  John Ellis  <johne@verizon.net>

	* ui2_text.c: Remove bad hack for dpi based size adjustment - not
	needed?.
	* skin/skyblue/skindata*: Fix this skin's text point sizes (see above).

Sat Apr  3 10:54:01 2004  John Ellis  <johne@verizon.net>

	* src/Makefile.am (module_SLIK): Add ui2_logo.h.

Sat Apr  3 06:27:41 2004  John Ellis  <johne@verizon.net>

	* ui2_editor.c, ui2_list.c, ui2_text.c, ui_tree_edit.c: Fixes from
	latest SLIK.
	* SKIN-SPECS: Updates, dcoumented exit.nomute.

Fri Apr  2 01:16:44 2004  John Ellis  <johne@verizon.net>

	* preferences.c: Improved the layout of the skin adjustment frame.
	* ui2_decal.[ch], ui2_decal_edit.[ch]: Use sizeable spelling of sizable
	for consistency with rest of app, dictionary claims both are accepted.
	* ui2_editor.[ch]: New util ui_edit_spin_new_with_scale().
	* ui2_list.c, ui2_text.c: Move color shift calculation to proper place.
	* ui2_util.[ch]: Fix up the util_color() utility to take guint8
	arguments, and make the alpha calculation work.

Thu Apr  1 21:57:30 2004  John Ellis  <johne@verizon.net>

	* ui2_decal.[ch], ui2_decal_edit.[ch]: Added decal widget, allows
	simple overlay of images onto the background and under other widgets.
	* ui2_editor.c: Middle mouse button now always moves the current
	selection, instead of possibly selecting a higher layer widget. Fixed
	the redraw button to also rerender the background.
	* ui2_list.c: Fix for new arguments to pixbuf_copy_fill_border_alpha.
	* ui2_main.c: Initialize decal widget type.
	* ui2_skin.c: Background is now rendered in two passes for transparent
	skins - fixes hidden widget bugs, and needed for the new decal widget.
	Widget backgrounds are now updated in the order of object priority.
	* ui2_typedefs.h: Bump version, add priority to WidgetObjectData.
	* ui2_widget.[ch]: Add priority, widget backgrounds are now synced
	to the skin overlay instead of the buffer.
	* ui_pixbuf_ops.[ch]: Add pixbuf_draw_rect, add destination
	coordinates to pixbuf_copy_fill_border and friend.
	* src/Makefile.am: Add new decal files.

Wed Mar 31 08:48:46 2004  John Ellis  <johne@verizon.net>

	* skins/skyblue: Added new skin 'Sky Blue'.
	* configure.in, Makefile.am, skins/Makefile.am: Install the new skin.
	* TODO: Updated.

Tue Mar 30 15:22:05 2004  John Ellis  <johne@verizon.net>

	* display.c: Added button exit.nomute to quit without muting radio.
	* ui2_button.h, ui2_item.h, ui2_number.h: Removed unused skin pointer.
	* ui2_editor.c: Ignore "skin_sticky" in skin editor.
	* ui2_main.c: Add skin_sticky button to toggle window stick/unstick.
	* ui2_typedefs.h (UIData): Add sticky flag var.

Tue Mar 30 12:08:03 2004  John Ellis  <johne@verizon.net>

	* ui2_editor.c: Add panes to allow sizing within the editor window,
	show the background in the widget list to allow selection, in the event
	there is no place to click on the background in the current skin.
	* ui2_typedefs.h (EditData): Remove hbox, no longer used.

Tue Mar 30 06:02:15 2004  John Ellis  <johne@verizon.net>

	* gqradio.c: Set stock icons on confirm dialogs. Removed debug line.
	* ui2_display.c (ui_display_motion): Disable edge snap when holding
	down shift.
	* ui2_main.c: Fix inital window positioning, to avoid first appearing
	in wrong position then jumping to the correct position.
	* ui2_text.c: Fix pixbuf_font_rotate_*() to use correct rgb values,
	set font description on layout before calculating string pixel width.

Mon Mar 29 14:03:09 2004  John Ellis  <johne@verizon.net>

	* ui2_text.[ch]: Use pango to render fonts instead of gdk_font.
	* ui2_list_edit.c, ui2_text_edit.c: Changes for above.
	* ui2_list.c: Clamp text region to within the row height.

Mon Mar 29 00:51:50 2004  John Ellis  <johne@verizon.net>

	* main.c, ui2_display.c, ui2_main.c, ui2_skin.c, ui2_util.c,
	ui_tree_edit.c: Fixes for -DGDK_DISABLE_DEPRECATED.

Fri Mar 19 06:12:03 2004  John Ellis  <johne@verizon.net>

	* main.c, preset.c, rcfile.c: Convert filenames from utf8 if necessary.

Fri Mar 19 05:55:56 2004  John Ellis  <johne@verizon.net>

	* preferences.c: Fix preset list update on apply, and change the color
	shift RGB scales to use new algorithm.
	* ui2_main.c: Update the default color shift values.
	* ui2_util.c: Use new color shift function, much better than just
	drawing a filled rectangle with alpha.
	* ui_pixbuf_ops.[ch]: Added new color shift functions.

Thu Mar 18 21:35:38 2004  John Ellis  <johne@verizon.net>

	* ui2_*.[ch], ui_*.[ch]: Update to SLIK 0.90.0 (GTK2).
	* ui_bookmark.[ch], ui_spinner.[ch,png], ui_tabcomp.png,
	ui_tree_edit.[ch]: New files for new SLIK.
	* ui_clist_edit.[ch], ui_tabcomp.xpm: Removed old files.
	* display.c, main.c, preferences.[ch], window.c: Port to GTK 2.
	* configure.in, Makefile.am, src/Makefile.am: Updates.

Wed Mar 17 17:51:38 2004  John Ellis  <johne@verizon.net>

	* gqradio.[ch], init.c, main.c: Add --no-seek-mute command line
	option to disable mute on autoscan, this is mainly for buggy v4l
	drivers	that do not report signal strength when the output is muted.
	* preferences.c: Fix preset editing bugs.
	* po/fr.po: Added French translation,
	submitted by Eric Lassauge <lassauge@users.sourceforge.net> 
	(in Feb 2003!)
	* README, TODO: Updates.
	* gqradio.desktop, gqradio.spec.in: Updates.
	* gqradio.spec.in: Updates.
	* Makefile.am: New automake/cong release adjusted this.
	* configure.in: Release 1.0.

Tue Mar 11 11:40:59 2003  John Ellis  <johne@bellatlantic.net>

        * ui2_display.c: Add Menu key (GDK_Menu) in addition to F10 key.
        * ui2_editor.c: Test for NULL help_window, fixes crash when selecting
        new widget after closing help.
        * ui2_main.c: Update copyright in slik about.

Fri Jan 24 22:56:47 2003  John Ellis  <johne@bellatlantic.net>

	* README, SKIN-SPECS, TODO: Updated.
	* window.c: Connect and handle delete events for subwindows.
	* configure.in: Release 0.99.0

Fri Jan 24 22:35:29 2003  John Ellis  <johne@bellatlantic.net>

	* main.c: Updated copyright year.
	* ui2_dial_edit.c, ui2_display.c, ui2_editor.c, ui2_list.[ch],
	ui2_main.[ch], ui2_number.c, ui2_skin.c, ui2_slider.c, ui2_text_edit.c,
	ui2_typedefs.h, ui_pathsel.c, ui_tabcomp.c, ui_utildlg.c: Updated to
	SLIK 0.13.0.

Fri Jan 24 22:16:52 2003  John Ellis  <johne@bellatlantic.net>

	* README: Updates.
	* acconfig.h, configure.in: Added bktr headers check.
	* io_radio.[ch]: Added bktr support for FreeBSD radio tuners, patch
	submitted by Serdar Ozler <sozler@sitebest.com>
	* window.c (window_main_mouse_cb): The mouse wheel now adjusts volume,
	on input selected in preferences.

Thu Nov 14 17:10:39 2002  John Ellis  <johne@bellatlantic.net>

	* configure.in, gqradio.spec: Use datadir instead of prefix for locale
	path.

Mon Aug 19 01:51:18 2002  John Ellis  <johne@bellatlantic.net>

	* README: Updated.
	* configure.in: Release 0.6.0

Sun Aug 18 02:39:59 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_main.c: Fixed the ui_mode_unique() util to test the ui's key
	field instead of the skin mode kay as that may change with skin_toggle.
	Also new windows via skin_open button now inherent all the parent's
	callback functions.
	* ui2_widget.[ch]: Added ui_widget_set_anchor() util.

Wed Aug 14 20:15:39 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_dial.[ch], ui2_dial_edit.c: Added a fixed mode to dial widget.
	* ui_pixbuf_ops.[ch](pixbuf_copy_area_alpha_with_clipping): New util
	function, it pretty much does what it says.
	* SKIN-SPECS: Added new fixed dial option comments.

Wed Aug 14 15:53:23 2002  John Ellis  <johne@bellatlantic.net>

	* SKIN-SPECS: Added info for number and text rotation parameter.

Wed Aug 14 01:36:29 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_number.[ch], ui2_number_edit.c: Added rotation option for number
	widget.
	* ui2_text_edit.c: Fixed drawing of highlight when rotating text in
	skin editor.

Mon Aug 12 23:27:52 2002  John Ellis  <johne@bellatlantic.net>

	* default_skin/main-pos-[blank,extra].png, nf_back.xpm: Cleaned up logo
	at top of window.
	* default_skin/skindata*: Cleaned up some text (color and/or location).

Mon Aug 12 22:40:36 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_list.c: Fixed for new font_draw rotation parameter.
	* ui2_text.[ch], ui2_text_edit.c: Added ability to draw text widget
	at 90, 180, and 270 degrees (rotated).
	* ui_pixbuf_ops.[ch]: Added pixbuf manipulator for rotation of pixels
	when copying.
	* skin.c: Fixes for new text rotation options.
	* default_skin/skindata*: Adjusted text intensity for default skin.

Fri Aug  2 15:40:03 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_typedefs.h: Updated SLIK to 0.12.0

Tue Jul 30 18:52:53 2002  John Ellis  <johne@bellatlantic.net>

	* skin.c: Use X fonts for the text in the error message window.
	* default_skin/nf_text_std_15_bold.xpm: Removed file font, see above.
	* default_skin/Makefile.am(EXTRA_DIST): Removed above file.

Sat Jul 27 00:28:44 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_text_edit.c(text_edit_write): Fixed writing of the text widget to
	skindata file, the logic was not quite correct for determining correct
	keys to write.
	* default_skin/list-pos-row-menu.png: Added.
	* default_skin/text-*.png: Removed, X fonts are now used.
	* default_skin/skindata[_*]: The main skin now uses X fonts
	exclusively, and cleaned up the menu skin a bit more.

Fri Jul 26 03:02:40 2002  John Ellis  <johne@bellatlantic.net>

	* default_skin/[skindata_menu, skindata_submenu, menu_back_green.png,
	menu_list_icons.png]: New files for the default skinned menus.
	* default_skin/Makefile.am: Added above new files to sources.

Thu Jul 25 19:08:36 2002  John Ellis  <johne@bellatlantic.net>

	* gqradio.h, init.c, preferences.c, rcfile.c, window.c: Made the skin
	menu support optional.
	* skin.c: Fixed warning dialog text widths, as new version of text
	widget now uses pixels instead of characters to specify width.

Thu Jul 25 18:45:34 2002  John Ellis  <johne@bellatlantic.net>

	* Makefile.am: Added ui2_menu.[ch] to sources.
	* ui2_display.c, ui2_main.[ch], ui2_typedefs.h: Added ability to force
	keyboard focus on a per ui basis, needed for menus to always work with
	the kayboard. The F10 key now always pops up the menu, it still
	emulates button3 to do this, however. Also cleaned up/fixed child
	grouping when closing/freeing windows.
	* ui2_menu.c: Fixed submenus to also be children of the parent ui, and
	always enable keyboard focus for menus.
	* ui2_list.c, ui2_text.[ch]: Added alpha modifier to font_draw, needed
	for drawing the insensitive state of list rows.
	* skin.[ch]: Moved the GQRADIO_SKIN_DEFAULT #define to public header.
	* window.[ch]: Added skinned menu support, still need to add the
	setting of this as an option.

Thu Jul 25 13:48:03 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_*.[ch], ui_*.[ch]: Upgraded SLIK to 0.11.0, wow moving from the
	older version (0.7.0) to the new one required no other changes, I must
	be doing something right, somewhere ;)
	* main.c(main): The new SLIK includes keyboard navigation by default,
	but since that interfered with the established gqradio key controls,
	disable the new feature.
	* SKIN-SPECS: Merged in new widget options.

Wed Jul  3 08:50:06 2002  John Ellis  <johne@bellatlantic.net>

	* Makefile.am, configure.in: Fixes for new gettext 0.11.1
	* autogen.sh: gettextize additional command.
	* po/Makevars: New gettext needed file.

Mon Jul  1 11:14:47 2002  John Ellis  <johne@bellatlantic.net>

	* README: Updated.
	* configure.in: Release 0.5.0

Mon Jul  1 11:00:04 2002  John Ellis  <johne@bellatlantic.net>

	* display.c: Fix preset blinking issue when current station is not set
	as a preset. (user could not see the preset number when setting a
	preset with the arrow keys).
	* window.c: Added Shift-Q key combination to exit gqradio without
	muting the radio card, also added menu entry.
	* mixer.c: FreeBSD has now officially deprecated machine/soundcard.h
	for sys/soundcard.h (not that this app supports FreeBSD yet...).

Fri May  3 19:05:46 2002  John Ellis  <johne@bellatlantic.net>

	* README: Updated.
	* configure.in: Release 0.4.1

Fri May  3 18:20:31 2002  John Ellis  <johne@bellatlantic.net>

	* skin.c: When showing an error dialog in place of the main window's
	normal skin, do _not_ set the skin's key to skindata_error, as that
	will be saved for the next run and the user can no longer use the
	normal skin until changing to another or editing gqradiorc.

Fri May  3 18:03:33 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_parse.c: Fixed a file descriptor leak when loading a skin
        (see? strace is useful afterall - once you trim the output :)

Thu Apr 25 18:18:24 2002  John Ellis  <johne@bellatlantic.net>

	* SKIN-SPECS: Fix section tag for digit chapter.

Fri Apr 12 17:14:05 2002  John Ellis  <johne@bellatlantic.net>

	* README: Updates.
	* po/POTFILES.in: Updated.
	* configure.in: Release 0.4.0

Fri Apr 12 16:36:13 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_widget.c(ui_widget_show): Update the widget's value when showing.
	* window.c(buffer_do): Restored original order of update, then show.

Fri Apr 12 16:20:13 2002  John Ellis  <johne@bellatlantic.net>

	* gqradio.h, main.c(gqradio_exit): Added mute option.
	* display.c, window.c: Fixes for new mute option.

Fri Apr 12 15:29:30 2002  John Ellis  <johne@bellatlantic.net>

	* configure.in: Make GNOME icon, desktop files honor prefix.
	* gqradio.{png, xpm}: Fixed the ugly antenna in the icon.
	* window.c(buffer_do): Unhide the minor frequency digits before 
	updating them so that the correct value is displayed.

Tue Mar 12 04:37:26 2002  John Ellis  <johne@bellatlantic.net>

	* window.c: Quick idea to have left/right keys always be manual tune,
	up/down to be auto tune (as before).

Tue Mar 12 04:28:50 2002  John Ellis  <johne@bellatlantic.net>

	* display.[ch], gqradio.[ch], init.c, io_radio.[ch], main.c,
	preferences.c, preset.[ch], rcfile.c, skin.c: Use guint32 instead of
	double to hold frequencies (more accurate), added configuration options
	for the radio device and frequency step. Also adjusted auto scan to not
	restart from a found freq, but to continue from last point. Default
	step size 0.1.
	* README: Fixes.

Mon Feb 25 19:31:35 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_editor.c: Made the progress bar in the 'generate list' dialog
	useful by indicating actual progress through skins.

Mon Feb 25 17:14:33 2002  John Ellis  <johne@bellatlantic.net>

	* ui2_button.c: Pass correct channel (3) to pixbuf_copy_channel.
	* ui_pixbuf_ops.c (pixbuf_copy_channel): Fix to avoid copying past
	end of pixel buffer.

Mon Feb 25 01:15:13 2002  John Ellis  <johne@bellatlantic.net>

	* ui*.[ch]: Upped to SLIK 0.7.0
	* main.c, window.c: Fixes for new SLIK.
	* skin.[ch]: Move default skin stuff here.
	* ui2_default.[ch], ui2_init.[ch]: Removed, obsolete.

Mon Feb 18 02:19:43 2002  John Ellis  <johne@bellatlantic.net>

	* rcfile.c: Use strncpy to avoid buffer over-runs.

Tue Jan 29 19:30:05 2002  John Ellis  <johne@bellatlantic.net>

	* io_radio.[ch]: Added option to use default limits of 87.5 to 108.0,
	this is now the default option, but user can still request limits
	reported by card/driver.
	* preferences.c, rcfile.c: Allow config of above option, and save it.

Fri Jan 18 21:00:50 2002  John Ellis  <johne@bellatlantic.net>

	* main.c: Fixed --help output to print name of app instead of
	slik_test.
	* ui2_default.c: Pass TRUE for the editor flag for skin_parse calls so
	that the default skin works correctly in skin editor (TEMP FIX, will
	revert when SLIK is fixed for this).

Thu Jan  3 16:12:15 2002  John Ellis  <johne@bellatlantic.net>

	* *.[ch]: Updated copyright year.
	* ui2_main.[ch], ui2_typedefs.h, ui_clist_edit.c: Updated SLIK 0.6.3.
	* README: Updated.
	* gqradio.spec.in: New, mor flexible format.
	* configure.in: Release 0.3.0

Fri Dec 14 20:25:45 2001  John Ellis  <johne@bellatlantic.net>

	* README, main.c, ui2_main.c: License clarification.
	* ui_fileops.c (file_in_path): Fix mem leak.

Sun Nov 18 06:41:56 2001  John Ellis  <johne@bellatlantic.net>

	* Makefile.am: Install README with SKIN-SPECS.
	* README: Added section keys.
	* gqradio.h, main.c, window.c: Added a help window, it merely shows the
	README file.
	* ui_help.[ch]: New SLIK utils for help windows.

Fri Nov 16 14:05:22 2001  John Ellis  <johne@bellatlantic.net>

	* window.c: Added grey keypad +,- control of volume, balance.

Fri Nov 16 10:52:25 2001  John Ellis  <johne@bellatlantic.net>

	* main.c: Set srand's seed with time.
	* ui2_editor.c: Go back to rand() from random(), for portability.

Mon Nov 12 18:46:17 2001  John Ellis  <johne@bellatlantic.net>

	* ui_clist_edit.[ch]: Added utils for g_lists and clist row styles.
	* ui_pathsel.c: Moved uig_list_insert_link() out to ui_clist_edit.

Fri Nov  9 00:55:06 2001  John Ellis  <johne@bellatlantic.net>

	* README, SKIN-SPECS, configure.in: Release 0.2.0

Thu Nov  8 23:35:53 2001  John Ellis  <johne@bellatlantic.net>

	* ui_menu.[ch]: Added more menu item utils.
	* window.c: Use new menu utils (above), and added seek mode
	indication.

Thu Nov  8 22:20:20 2001  John Ellis  <johne@bellatlantic.net>

	* ui2_skin.c, ui2_util.[ch]: Attempts to optimize image grabs of the
	root window.

Thu Nov  8 20:59:20 2001  John Ellis  <johne@bellatlantic.net>

	* preferences.c: Made ok, apply, and cancel button sizes consistent.

Thu Nov  8 19:47:47 2001  John Ellis  <johne@bellatlantic.net>

	* ui_utildlg.c: Changed the vertical spacing on dialogs (same dialog
	size, moved some space from above the buttons to top of window).
	Also aligned buttons right and made them bigger.

Thu Nov  8 03:27:43 2001  John Ellis  <johne@bellatlantic.net>

	* README: Smal update.
	* window.c: Increased the keyboard number entry timeout to 1.5 sec.

Wed Nov  7 10:53:36 2001  John Ellis  <johne@bellatlantic.net>

	* SKIN-SPECS: Added widgets for GQradio.
	* display.c: Renamed button balance_left to balance.left, same for
	right and the volume_up/down buttons.
	* skindata_advanced, skindata_presets_advanced: Changed volume button
	names as above.

Wed Nov  7 09:38:56 2001  John Ellis  <johne@bellatlantic.net>

	* display.[ch], gqradio.[ch], init.c, io_radio.[ch], preset.c: Changed
	all gdouble to doubles - for consistency.

Wed Nov  7 07:31:39 2001  John Ellis  <johne@bellatlantic.net>

	* ui2_widget.[ch]: Made ui_widget_for_each_key() public.
	* ui2_dial.c, ui2_slider.c: Fix the item link key.

Wed Nov  7 05:26:20 2001  John Ellis  <johne@bellatlantic.net>

	* po/POTFILES.in: Added relevent files.
	* display.[ch], gqradio.h, init.c, main.c, preset.[ch], rcfile.[ch],
	window.[ch]: Updated file titles to GQradio, made it pass with -Wall
	-Werror -Wmissingprototypes..
	* ui2_typedefs.h: Bumped SLIK to 0.6.2
	* gqradio.spec.in, src/Makefile.am: make distcheck fixes.

Wed Nov  7 04:48:34 2001  John Ellis  <johne@bellatlantic.net>

	* gqradio.[ch]: Added seek_start_by_mode() to seek by an specific mode
	regardless of the current one.
	* display.c: Added buttons seek.up.manual, seek.up.preset,
	seek.up.auto, and their seek.down.XXX counterparts.
	* SKIN-SPECS: Updated for added reserverd buttons skin_iconify, etc.

Tue Nov  6 11:50:39 2001  John Ellis  <johne@bellatlantic.net>

	* ui2_display.c: Add a gtk_grab when pressing the mouse on a ui, fixes
	problem when attempting to drag window over other 'mouse-aware' widgets
	of the applicationi (mouse events were not exclusive to the ui).
	* ui2_main.c(ui_close_cb): gtk_widget_destroy the window, and free will
	be called in a signal handler. ui_free here is wrong (and will result
	in leaking the window widget.

Tue Nov  6 01:33:50 2001  John Ellis  <johne@bellatlantic.net>

	* display.c, io_radio.c, preference.c: Removed #if 0'ed cruft.
	* main.c: Use new ui_set_message(), see below.
	* gqradio.c: Added confirm dialogs to preset clear and auto-scan.
	* ui2_default.[ch]: Changed method of error messages, and added ability
	to load a dialog - unused, but eventually would like confirm dialogs
	above to be skinned.
	* ui2_editor.c, ui2_main.[ch], ui2_typedefs.h, ui2_util.c: Fixed 
	(again) state saving and loading. skin_mode_key should never be NULL
	now except for error skins. Added ui_close, and handle cleanup on
	destroyed windows. Skin editor now closes when parent is closed.
	* ui2_list.c(list_row_clear_text): Also reset the flag_mask.
	* ui_utildlg.c: Fixed dialog auto_close tests from possibly accessing
	freed structures (dialog_close may be used in the called func).

Mon Nov  5 03:11:48 2001  John Ellis  <johne@bellatlantic.net>

	* io_radio.c(radio_control_set_mute): Correctly unset the MUTE flag,
	oddly this was working for me, so never noticed.

Sat Nov  3 21:59:56 2001  John Ellis  <johne@bellatlantic.net>

	* preferences.c: Do not include default skin in the pick list as this
	is reserved for None.
	* ui2_main.c, ui2_list.c: Fixes to state saving / restoring.

Sat Nov  3 20:54:07 2001  John Ellis  <johne@bellatlantic.net>

	* ui2_default.c: Fix default skin loading.
	* default_skin/skindata*, *.png: New files for the default skin.
	* default_skin/Makefile.am: Added above files, install them.

Sat Nov  3 19:55:24 2001  John Ellis  <johne@bellatlantic.net>

	* default_skin/[back, btn_config, btn_exit, btn_play, letters].xpm:
	Removed old skin files.
	* default_skin/nf_[back, btn_prefes, btn_quit, text_std_15_bold].xpm:
	New skin files, this is only the error message skin, the default will
	be installed to $PREFIX/share/gqradio/default.
	* default_skin/Makefile.am: Updates for new files.
	* io_radio.[ch]: Made RADIO_DEVICE public.
	* main.c, ui2_default.[ch]: Set up message skin, loading of default.
	* ui2_pars.h: Fixed typo.

Sat Nov  3 10:38:12 2001  John Ellis  <johne@bellatlantic.net>

	* main.c: Added -f and -p command line options (freq and preset start).

Sat Nov  3 10:17:16 2001  John Ellis  <johne@bellatlantic.net>

	* gqradio.xpm: Added app icon.
	* gqradio.h, init.c, main.c, window.c: Use above icon for windows, and
	set wmclass for about.
	* gqradio.png: Updated to new icon.

Sat Nov  3 09:22:07 2001  John Ellis  <johne@bellatlantic.net>

	* display.c, gqradio.c: Reset the preset.scan item when scan ends. Fix
	balance/volume updates and buttons.
	* window.c: Shortened 'Jump to:' to plain 'Jump:'.

Thu Nov  1 04:11:52 2001  John Ellis  <johne@bellatlantic.net>

	* preset.c: Fix bug causing truncation of description with spaces
	during preset load.
	* README: Documented all current keyboard controls.

Thu Nov  1 02:36:37 2001  John Ellis  <johne@bellatlantic.net>

	* gqradio.c: New file, moves main loop and core functions out of main.c
	* mixer.[ch]: Added mixer volume support (from GQmpeg).
	* preferences.[ch]: Added config window (from GQmpeg) with preset list.
	* display.[ch], gqradio.h, init.c, main.c, preset.c, rcfile.c,
	window.c: Fixes and changes for above. Also a lot more work.
	* io_radio.c: added error reporting for open and ioctl.
	* ui2_editor.c, ui2_main.[ch]: Added iconify button support into SLIK.
	* ui2_list.[ch]: Added simple scroll functions to app API.
	* ui2_skin.c(skin_widget_for_each_key): Ignore hidden widgets, not
	doing so can cause bad things (like hidden widgets being drawn).
	* ui2_widget.c: Fixed ui2_widget_show/hide, needed after fix
	in ui2_skin.c, above.

Tue Oct 30 08:20:54 2001  John Ellis  <johne@bellatlantic.net>

	* display.[ch], gqradio.h, main.c: Added preset auto scan, plus more
	work.
	* ui2_item.c: Fixed item_animate() to support 1 frame animations.

Tue Oct 30 02:30:07 2001  John Ellis  <johne@bellatlantic.net>

	* ui2_main.c, ui2_edit.c: Reservered buttons skin_open and skin_close.
	Obviously not implemented yet (requires overhaul to remove single skin
	idea (SkinData *ui->skin to GList *ui->skin_list).

Tue Oct 30 01:21:50 2001  John Ellis  <johne@bellatlantic.net>

	* preset.[ch]m Makefile.am: Added preset support.
	* display.[ch], gqradio.h, init.c, main.c, window.c: Changes for
	above, and more work.
	* io_radio.[ch]: Additions, fixes.
	* ui2_list.c: Fix row updates by first clearing row text data.
	* ui2_main.[ch], ui2_util.c: Fixes for state init/saving.
	* ui2_widget.[ch]: Added support for hiding and showing of a widget
	by key.

Sun Oct 28 04:55:23 2001  John Ellis  <johne@bellatlantic.net>

	* main.c, rcfile.c: Save and restore the current frequency and
	seek_mode.

Sun Oct 28 04:33:50 2001  John Ellis  <johne@bellatlantic.net>

	* io_radio.[ch]: Added radio interface (basically stripped out of
	GQmpeg, but all floats -> doubles.
	* display.[ch]: Started skin interface.
	* gqradio.h, init.c, main.c: Added globals, main loop status checks,
	seeking, auto-seeking. Plus basic setup.
	* ui2_item.[ch]: Added util func to calc section by percent, fixed
	animate function (inverted reset test).
	* src/Makefile.am: Added io_radio.[ch].
	* acconfig.h, configure.in: Added test for video4linux. 

Sat Oct 27 23:23:12 2001  John Ellis  <johne@bellatlantic.net>

	* acconfig.h, configure.in, gqradio.h, main.c, rcfile.c, window.c: Make
	it all compile with new name GQradio (includes setting up name and
	file paths).


